/**********
Copyright 1990 Regents of the University of California.  All rights reserved.
Author: 1986 Wayne A. Christopher, U. C. Berkeley CAD Group 
**********/

/*
 * The main routine for the help system in stand-alone mode.
 */

#include <config.h>
#include "spice.h"

#ifdef HAVE_SYS_DIR_H
#  include <sys/types.h>
#  include <sys/dir.h>
#else
#  ifdef HAVE_DIRENT_H
#    include <sys/types.h>
#    include <dirent.h>
#    ifndef direct
#      define direct dirent
#    endif
#  endif
#endif

#ifdef HAVE_PWD_H
#  include <pwd.h>
#endif

#include "cpdefs.h"
#include "hlpdefs.h"
#include "suffix.h"

#ifdef HAS_X10
Display *X_display = (Display *) NULL;
#endif

#ifndef X_DISPLAY_MISSING
Widget toplevel;
#endif

FILE *cp_in, *cp_out, *cp_err;

/* dummy declaration so CP.a doesn't pull in lexical.o and other objects */
bool cp_interactive = false;

char *hlp_filelist[] = { "ngspice", 0 };

/* ARGSUSED */
int
main(ac, av)
    int ac;
    char **av;
{
    wordlist *wl = NULL;

#ifndef X_DISPLAY_MISSING
    char *displayname;
    /* grrr, Xtk forced contortions */
    char *argv[2];
    int argc = 2;
    char buf[512];
#endif

    ivars( );

    cp_in = stdin;
    cp_out = stdout;
    cp_err = stderr;

#ifndef X_DISPLAY_MISSING

    if (cp_getvar("display", VT_STRING, buf)) {
      displayname = buf;
    } else if (!(displayname = getenv("DISPLAY"))) {
      fprintf(stderr, "Can't open X display.");
      goto out;
    }

    argv[0] = "nutmeg";
    argv[1] = displayname;
    /* initialize X toolkit */
    toplevel = XtInitialize("nutmeg", "Nutmeg", NULL, 0, &argc, argv);

#endif

out:
    if (ac > 1)
        wl = wl_build(av + 1);
    hlp_main(Help_Path, wl);

#ifndef X_DISPLAY_MISSING
    if (hlp_usex) {
	printf("Hit control-C when done.\n");		/* sigh */
	XtMainLoop();
    }
#endif

    exit(EXIT_NORMAL);
}

void
fatal(s)
    char *s;
{
    fprintf(stderr, "fatal error: %s\n", s);
    exit(1);
}

/* There is a conflict witj another cp_printword in cp/quote.c
void
cp_printword(s)
    char *s;
{
    printf("%s", s);
    return;
}

*/

/* ARGSUSED */
bool
cp_getvar(n, t, r)
    char *n, *r;
    int t;
{
    return (false);
}

char *
cp_tildexpand(s)
	char	*s;
{
	return tilde_expand(s);
}
