/*************
 * Main header file for ngspice
 * 1999 E. Rouat
 ************/

/* 
 * This file will eventually replace spice.h and lots of other 
 * files in src/include
 */


#include <config.h>
#include <math.h>
#include <stdio.h>

#ifdef STDC_HEADERS
#  include <stdlib.h>
#  include <string.h>
#else
#  include <strings.h>
#endif

#ifdef HAVE_CTYPE_H
#  include <ctype.h>
#endif

#ifdef HAVE_TERMIOS_H
#include <termios.h>
#else
#  ifdef HAVE_SGTTY_H
#  include <sgtty.h>
#    else
#    ifdef HAVE_TERMIO_H
#      include <termio.h>
#    endif
#  endif
#endif

#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif

#ifdef HAVE_PWD_H
#include <pwd.h>
#endif


#ifdef HAVE_SYS_WAIT_H
#include <sys/wait.h>
#endif

#ifdef HAVE_SYS_DIR_H
#include <sys/types.h>
#include <sys/dir.h>
#else
#  ifdef HAVE_DIRENT_H
#  include <sys/types.h>
#  include <dirent.h>
#  ifndef direct
#  define direct dirent
#  endif
#  endif
#endif



#include "defines.h"
#include "macros.h"
#include "struct.h"


/* cp */

#include "../lib/cp/alias.h"
#include "../lib/cp/backq.h"
#include "../lib/cp/complete.h"
#include "../lib/cp/cshpar.h"
#include "../lib/cp/front.h"
#include "../lib/cp/glob.h"
#include "../lib/cp/history.h"
#include "../lib/cp/input.h"
#include "../lib/cp/lexical.h"
#include "../lib/cp/modify.h"
#include "../lib/cp/numparse.h"
#include "../lib/cp/output.h"
#include "../lib/cp/quote.h"
#include "../lib/cp/unixcom.h"
#include "../lib/cp/var2.h"
#include "../lib/cp/variable.h"
#include "../lib/cp/wlist.h"


/* ckt */

#include "../lib/ckt/ckt.h"


/* fte */

#include "../lib/fte/agraf.h"
#include "../lib/fte/arg.h"
#include "../lib/fte/aspice.h"
#include "../lib/fte/breakp.h"
#include "../lib/fte/breakp2.h"
#include "../lib/fte/circuits.h"
#include "../lib/fte/clip.h"
#include "../lib/fte/cmath1.h"
#include "../lib/fte/cmath2.h"
#include "../lib/fte/cmath3.h"
#include "../lib/fte/cmath4.h"
#include "../lib/fte/compose.h"
#include "../lib/fte/cpitf.h"
#include "../lib/fte/debugcom.h"
#include "../lib/fte/define.h"
#include "../lib/fte/device.h"
#include "../lib/fte/diff.h"
#include "../lib/fte/dimens.h"
#include "../lib/fte/display.h"
#include "../lib/fte/doplot.h"
#include "../lib/fte/dotcards.h"
#include "../lib/fte/error.h"
#include "../lib/fte/evaluate.h"
#include "../lib/fte/fourier.h"
#include "../lib/fte/gens.h"
#include "../lib/fte/graf.h"
#include "../lib/fte/graphdb.h"
#include "../lib/fte/grid.h"
#include "../lib/fte/inp.h"
#include "../lib/fte/inpcom.h"
#include "../lib/fte/interp.h"
#include "../lib/fte/linear.h"
#include "../lib/fte/misccoms.h"
#include "../lib/fte/miscvars.h"
#include "../lib/fte/mw_coms.h"
#include "../lib/fte/newcoms.h"
#include "../lib/fte/nutctab.h"
#include "../lib/fte/nutinp.h"
#include "../lib/fte/nutmegif.h"
#include "../lib/fte/options.h"
#include "../lib/fte/outitf.h"
#include "../lib/fte/parse.h"
#include "../lib/fte/plot5.h"
#include "../lib/fte/plotcurv.h"
#include "../lib/fte/points.h"
#include "../lib/fte/postcoms.h"
#include "../lib/fte/postsc.h"
#include "../lib/fte/rawfile.h"
#include "../lib/fte/resource.h"
#include "../lib/fte/runcoms.h"
#include "../lib/fte/runcoms2.h"
#include "../lib/fte/shyu.h"
#include "../lib/fte/signal_handler.h"
#include "../lib/fte/spec.h"
#include "../lib/fte/spiceif.h"
#include "../lib/fte/subckt.h"
#include "../lib/fte/typesdef.h"
#include "../lib/fte/vectors.h"
#include "../lib/fte/where.h"
#include "../lib/fte/x11.h"
#include "../lib/fte/xgraph.h"


/* inp */

#include "../lib/inp/inp.h"

/* misc */

#include "../lib/misc/alloc.h"
#include "../lib/misc/dup2.h"
#include "../lib/misc/ivars.h"
#include "../lib/misc/misc_time.h"
#include "../lib/misc/missing_math.h"
#include "../lib/misc/mktemp.h"
#include "../lib/misc/printnum.h"
#include "../lib/misc/string.h"
#include "../lib/misc/tilde.h"


/* ni */


#include "../lib/ni/niaciter.h"
#include "../lib/ni/nicomcof.h"
#include "../lib/ni/niconv.h"
#include "../lib/ni/nidest.h"
#include "../lib/ni/niditer.h"
#include "../lib/ni/niinit.h"
#include "../lib/ni/niinteg.h"
#include "../lib/ni/niiter.h"
#include "../lib/ni/niniter.h"
#include "../lib/ni/nipred.h"
#include "../lib/ni/nipzmeth.h"
#include "../lib/ni/nireinit.h"
#include "../lib/ni/nisenre.h"



